package com.zcloud.service.specialoperation.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.specialoperation.SpecialOperationsMapper;
import com.zcloud.service.specialoperation.SpecialOperationsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：特种作业人员管理
 * 作者：luoxiaobao
 * 时间：2022-06-16
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class SpecialOperationsServiceImpl implements SpecialOperationsService{

	@Autowired
	private SpecialOperationsMapper specialoperationsMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		specialoperationsMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		specialoperationsMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		specialoperationsMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return specialoperationsMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return specialoperationsMapper.listAll(pd);
	}
	public List<PageData> namelist(PageData pd)throws Exception{
		return specialoperationsMapper.namelist(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return specialoperationsMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		specialoperationsMapper.deleteAll(ArrayDATA_IDS);
	}
	/**
	 * 判断特种作业证书编号是否存在
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	public PageData findByCertificate(PageData pd) throws Exception {
		return specialoperationsMapper.findByCertificate(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void editPassword(PageData pd) throws Exception {
		specialoperationsMapper.editPassword(pd);
	}

	public PageData findForLogin(PageData pd){
		return specialoperationsMapper.findForLogin(pd);
	}

}

